package com.steerinfo.ems.tcm036.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class TCm036 implements IBasePO<String> {
    /**
     * 运方单编号(BILLSNO,VARCHAR,36)
     */
    @ApiModelProperty(value="运方单编号",required=false)
    private String billsno;

    /**
     * 记录id(RECORDID,VARCHAR,255)
     */
    @ApiModelProperty(value="记录ID",required=true)
    private String recordid;

    /**
     * 现场用户地点(ADDRESS,VARCHAR,2048)
     */
    @ApiModelProperty(value="现场用户地点",required=true)
    private String address;

    /**
     * 申请单位负责人(APPLYCHARGEMAN,VARCHAR,36)
     */
    @ApiModelProperty(value="申请单位负责人",required=true)
    private String applychargeman;

    /**
     * 运行主管(APPLYMAN,VARCHAR,36)
     */
    @ApiModelProperty(value="运行主管",required=true)
    private String applyman;

    /**
     * 申请单位(APPLYUNIT,VARCHAR,36)
     */
    @ApiModelProperty(value="申请单位",required=true)
    private String applyunit;

    /**
     * 注意事项(ATTENTION,VARCHAR,2048)
     */
    @ApiModelProperty(value="注意事项",required=true)
    private String attention;

    /**
     * 单据状态(BILLSTATUS,VARCHAR,20)
     */
    @ApiModelProperty(value="单据状态",required=true)
    private String billstatus;

    /**
     * 现场负责人及电话(CHARGEMANTEL,VARCHAR,36)
     */
    @ApiModelProperty(value="现场负责人及电话",required=true)
    private String chargemantel;

    /**
     * 工作内容修改(CONTENTCHANGE,VARCHAR,2048)
     */
    @ApiModelProperty(value="工作内容修改",required=true)
    private String contentchange;

    /**
     * 编制时间(CREATTIME,VARCHAR,40)
     */
    @ApiModelProperty(value="编制时间",required=true)
    private String creattime;

    /**
     * 设备名称(EQUIPMENTNAME,VARCHAR,36)
     */
    @ApiModelProperty(value="设备名称",required=true)
    private String equipmentname;

    /**
     * 执行负责人(EXECUTIVECHARGEMAN,VARCHAR,36)
     */
    @ApiModelProperty(value="执行负责人",required=true)
    private String executivechargeman;

    /**
     * 执行情况(EXECUTIVESITUATION,VARCHAR,2048)
     */
    @ApiModelProperty(value="执行情况",required=true)
    private String executivesituation;

    /**
     * 实际执行时间(EXECUTIVETIME,VARCHAR,40)
     */
    @ApiModelProperty(value="实际执行时间",required=true)
    private String executivetime;

    /**
     * 用户联系人及电话(LINKMANTEL,VARCHAR,36)
     */
    @ApiModelProperty(value="用户联系人及电话",required=true)
    private String linkmantel;

    /**
     * 介质系统(MEDIUMSYSTEM,VARCHAR,400)
     */
    @ApiModelProperty(value="介质系统",required=true)
    private String mediumsystem;

    /**
     * 备注(NOTE,VARCHAR,2048)
     */
    @ApiModelProperty(value="备注",required=true)
    private String note;

    /**
     * 操作状态(OPERATESTATUS,VARCHAR,20)
     */
    @ApiModelProperty(value="操作状态",required=true)
    private String operatestatus;

    /**
     * 申请复役时间(RESTARTTIME,VARCHAR,40)
     */
    @ApiModelProperty(value="申请复役时间",required=true)
    private String restarttime;

    /**
     * 安全措施(SAFETYPRECAUTIONS,VARCHAR,2048)
     */
    @ApiModelProperty(value="安全措施",required=true)
    private String safetyprecautions;

    /**
     * 签收人(SIGNMAN,VARCHAR,36)
     */
    @ApiModelProperty(value="签收人",required=true)
    private String signman;

    /**
     * 签收时间(SIGNTIME,VARCHAR,40)
     */
    @ApiModelProperty(value="签收时间",required=true)
    private String signtime;

    /**
     * 申请停役时间(STOPTIME,VARCHAR,40)
     */
    @ApiModelProperty(value="申请停役时间",required=true)
    private String stoptime;

    /**
     * 结构简图说明(STRUCTDIAGRAM,VARCHAR,2048)
     */
    @ApiModelProperty(value="结构简图说明",required=true)
    private String structdiagram;

    /**
     * 结构简图文件名(STRUCTUREDIAGRAM,VARCHAR,2048)
     */
    @ApiModelProperty(value="结构简图文件名",required=true)
    private String structurediagram;

    /**
     * 状态(TASKSTATUS,VARCHAR,20)
     */
    @ApiModelProperty(value="状态",required=true)
    private String taskstatus;

    /**
     * 检修结束时间(TIMEOVER,VARCHAR,40)
     */
    @ApiModelProperty(value="检修结束时间",required=true)
    private String timeover;

    /**
     * 检修开始时间(TIMESTART,VARCHAR,40)
     */
    @ApiModelProperty(value="检修开始时间",required=true)
    private String timestart;

    /**
     * 任务说明(WORKCONTENT,VARCHAR,2048)
     */
    @ApiModelProperty(value="任务说明",required=true)
    private String workcontent;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.billsno;
    }

    @Override
    public void setId(String billsno) {
        this.billsno = billsno == null ? null : billsno.trim();
    }

    public String getBillsno() {
        return billsno;
    }

    public void setBillsno(String billsno) {
        this.billsno = billsno == null ? null : billsno.trim();
    }

    public String getRecordid() {
        return recordid;
    }

    public void setRecordid(String recordid) {
        this.recordid = recordid == null ? null : recordid.trim();
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }

    public String getApplychargeman() {
        return applychargeman;
    }

    public void setApplychargeman(String applychargeman) {
        this.applychargeman = applychargeman == null ? null : applychargeman.trim();
    }

    public String getApplyman() {
        return applyman;
    }

    public void setApplyman(String applyman) {
        this.applyman = applyman == null ? null : applyman.trim();
    }

    public String getApplyunit() {
        return applyunit;
    }

    public void setApplyunit(String applyunit) {
        this.applyunit = applyunit == null ? null : applyunit.trim();
    }

    public String getAttention() {
        return attention;
    }

    public void setAttention(String attention) {
        this.attention = attention == null ? null : attention.trim();
    }

    public String getBillstatus() {
        return billstatus;
    }

    public void setBillstatus(String billstatus) {
        this.billstatus = billstatus == null ? null : billstatus.trim();
    }

    public String getChargemantel() {
        return chargemantel;
    }

    public void setChargemantel(String chargemantel) {
        this.chargemantel = chargemantel == null ? null : chargemantel.trim();
    }

    public String getContentchange() {
        return contentchange;
    }

    public void setContentchange(String contentchange) {
        this.contentchange = contentchange == null ? null : contentchange.trim();
    }

    public String getCreattime() {
        return creattime;
    }

    public void setCreattime(String creattime) {
        this.creattime = creattime == null ? null : creattime.trim();
    }

    public String getEquipmentname() {
        return equipmentname;
    }

    public void setEquipmentname(String equipmentname) {
        this.equipmentname = equipmentname == null ? null : equipmentname.trim();
    }

    public String getExecutivechargeman() {
        return executivechargeman;
    }

    public void setExecutivechargeman(String executivechargeman) {
        this.executivechargeman = executivechargeman == null ? null : executivechargeman.trim();
    }

    public String getExecutivesituation() {
        return executivesituation;
    }

    public void setExecutivesituation(String executivesituation) {
        this.executivesituation = executivesituation == null ? null : executivesituation.trim();
    }

    public String getExecutivetime() {
        return executivetime;
    }

    public void setExecutivetime(String executivetime) {
        this.executivetime = executivetime == null ? null : executivetime.trim();
    }

    public String getLinkmantel() {
        return linkmantel;
    }

    public void setLinkmantel(String linkmantel) {
        this.linkmantel = linkmantel == null ? null : linkmantel.trim();
    }

    public String getMediumsystem() {
        return mediumsystem;
    }

    public void setMediumsystem(String mediumsystem) {
        this.mediumsystem = mediumsystem == null ? null : mediumsystem.trim();
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note == null ? null : note.trim();
    }

    public String getOperatestatus() {
        return operatestatus;
    }

    public void setOperatestatus(String operatestatus) {
        this.operatestatus = operatestatus == null ? null : operatestatus.trim();
    }

    public String getRestarttime() {
        return restarttime;
    }

    public void setRestarttime(String restarttime) {
        this.restarttime = restarttime == null ? null : restarttime.trim();
    }

    public String getSafetyprecautions() {
        return safetyprecautions;
    }

    public void setSafetyprecautions(String safetyprecautions) {
        this.safetyprecautions = safetyprecautions == null ? null : safetyprecautions.trim();
    }

    public String getSignman() {
        return signman;
    }

    public void setSignman(String signman) {
        this.signman = signman == null ? null : signman.trim();
    }

    public String getSigntime() {
        return signtime;
    }

    public void setSigntime(String signtime) {
        this.signtime = signtime == null ? null : signtime.trim();
    }

    public String getStoptime() {
        return stoptime;
    }

    public void setStoptime(String stoptime) {
        this.stoptime = stoptime == null ? null : stoptime.trim();
    }

    public String getStructdiagram() {
        return structdiagram;
    }

    public void setStructdiagram(String structdiagram) {
        this.structdiagram = structdiagram == null ? null : structdiagram.trim();
    }

    public String getStructurediagram() {
        return structurediagram;
    }

    public void setStructurediagram(String structurediagram) {
        this.structurediagram = structurediagram == null ? null : structurediagram.trim();
    }

    public String getTaskstatus() {
        return taskstatus;
    }

    public void setTaskstatus(String taskstatus) {
        this.taskstatus = taskstatus == null ? null : taskstatus.trim();
    }

    public String getTimeover() {
        return timeover;
    }

    public void setTimeover(String timeover) {
        this.timeover = timeover == null ? null : timeover.trim();
    }

    public String getTimestart() {
        return timestart;
    }

    public void setTimestart(String timestart) {
        this.timestart = timestart == null ? null : timestart.trim();
    }

    public String getWorkcontent() {
        return workcontent;
    }

    public void setWorkcontent(String workcontent) {
        this.workcontent = workcontent == null ? null : workcontent.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", billsno=").append(billsno);
        sb.append(", recordid=").append(recordid);
        sb.append(", address=").append(address);
        sb.append(", applychargeman=").append(applychargeman);
        sb.append(", applyman=").append(applyman);
        sb.append(", applyunit=").append(applyunit);
        sb.append(", attention=").append(attention);
        sb.append(", billstatus=").append(billstatus);
        sb.append(", chargemantel=").append(chargemantel);
        sb.append(", contentchange=").append(contentchange);
        sb.append(", creattime=").append(creattime);
        sb.append(", equipmentname=").append(equipmentname);
        sb.append(", executivechargeman=").append(executivechargeman);
        sb.append(", executivesituation=").append(executivesituation);
        sb.append(", executivetime=").append(executivetime);
        sb.append(", linkmantel=").append(linkmantel);
        sb.append(", mediumsystem=").append(mediumsystem);
        sb.append(", note=").append(note);
        sb.append(", operatestatus=").append(operatestatus);
        sb.append(", restarttime=").append(restarttime);
        sb.append(", safetyprecautions=").append(safetyprecautions);
        sb.append(", signman=").append(signman);
        sb.append(", signtime=").append(signtime);
        sb.append(", stoptime=").append(stoptime);
        sb.append(", structdiagram=").append(structurediagram);
        sb.append(", structurediagram=").append(structurediagram);
        sb.append(", taskstatus=").append(taskstatus);
        sb.append(", timeover=").append(timeover);
        sb.append(", timestart=").append(timestart);
        sb.append(", workcontent=").append(workcontent);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}